### Hierarchy

- IUMDClass

## Index

### Properties

- debug

### Methods

- import
- inject
- mockType
- resolvePath
- resolveType
- resolveViewClassAsync

## Properties

### debug

debug: boolean

- Defined in src/core/types.ts:169

## Methods

### import

- import<T>(path: string): Promise<T>

- - Defined in src/core/types.ts:175

  #### Type parameters

  - #### T

  #### Parameters

  - ##### path: string

  #### Returns Promise<T>

### inject

- inject(type: any, name: string): void

- - Defined in src/core/types.ts:172

  #### Parameters

  - ##### type: any

  - ##### name: string

  #### Returns void

### mockType

- mockType(type: any, name: string): void

- - Defined in src/core/types.ts:171

  #### Parameters

  - ##### type: any

  - ##### name: string

  #### Returns void

### resolvePath

- resolvePath(path: string): string

- - Defined in src/core/types.ts:174

  #### Parameters

  - ##### path: string

  #### Returns string

### resolveType

- resolveType(type: any): any

- - Defined in src/core/types.ts:173

  #### Parameters

  - ##### type: any

  #### Returns any

### resolveViewClassAsync

- resolveViewClassAsync(path: string): Promise<any>

- - Defined in src/core/types.ts:170

  #### Parameters

  - ##### path: string

  #### Returns Promise<any>

Generated using TypeDoc